mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("00000102-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information about the IEnumMoniker interface, see the MSDN Library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Manages the definition of the IEnumMoniker interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` `` ``

  For more information about IEnumMoniker::Next, see the MSDN Library.

  Retrieves a specified number of items in the enumeration sequence.

  S_OK if the parameter equals the parameter; otherwise, S_FALSE.

  The number of monikers to return in . When this method returns, contains a reference to the enumerated monikers. This parameter is passed uninitialized. When this method returns, contains a reference to the actual number of monikers enumerated in .
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  For more information about IEnumMoniker::Reset, see the MSDN Library.

  Resets the enumeration sequence to the beginning.

  An HRESULT with the value S_OK.

- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For more information about IEnumMoniker::Skip, see the MSDN Library.

  Skips a specified number of items in the enumeration sequence.

  S_OK if the number of elements skipped equals the parameter; otherwise, S_FALSE.

  The number of elements to skip in the enumeration.